<template>
	<div class=" bg-inicio">
		<div class="content-inicio-curso">
			<div class="modal">
				<div class="content-session">
					<span class="content-session-detail "><b>{{ getMessage() }}</b> Has terminado de leer sobre:</span><br>
					<span class="content-session-inicio"> {{session.name}} </span> <br>
					<div class="icon-inicio">
						<i class="ti-medall"></i>
					</div>
					
					<a  class="close-btn waves-effect waves-light"  @click.prevent="close()">
					<!-- <i class="ti-angle-right "></i> -->
					<i class="">SÍ</i>
					</a>
				</div>
			</div>
		</div>
	</div>
</template>

<script>

	import { mapGetters, mapActions } from 'vuex'
	export default {
  		methods : {
  			...mapActions(['closeModal', 'toggleComponentStatus', 'updateCourseAssigned']),
  			close(){
  					let data = {	
	 		      			weeks 	: this.course.content.weeks,
	 		      			session : this.session
					  }
					  

					this.closeModal(data)
					this.toggleComponentStatus()
						if(!this.isPreview){
							this.updateCourseAssigned(this.course)	
						}
					  
  			},
  			getMessage(){
  				let messages = [
	  				'¡Bien Hecho!',
	  				'¡Genial!',
	  				'¡Enhorabuena!',
	  				'¡Lo lograste!',
	  				'¡Buen Trabajo!',
	  				'¡Magnífico!',
	  				'¡Excelente!',
	  				'¡Eres genial!',
	  				'¡Perfecto!',
	  				'¡Lo hiciste muy bien!',
	  				'¡Muy bien!',
	  				'¡Fantástico!',
  				]
  				return messages[Math.floor(Math.random()* messages.length)]
  			}
  		},
  		computed: {
  			...mapGetters(['session', 'course', 'isPreview'])
  		}
	}
</script>